Imagick::segmentImage
Imagick::separateImageChannel
Imagick
PHP Manual

# Imagick::selectiveBlurImage

(No version information available, might only be in Git)

Imagick::selectiveBlurImage — Description

### Description

public void Imagick::selectiveBlurImage ( float `$radius` , float `$sigma` , float `$threshold` , int `$CHANNEL` )

Selectively blur an image within a contrast threshold. It is similar to the unsharpen mask that sharpens everything with contrast above a certain threshold.

### Parameters

`radius`

`sigma`

`threshold`

`CHANNEL`

  Provide any channel constant that is valid for your channel mode. To apply to more than one channel, combine channel constants using bitwise operators. Defaults to `Imagick::CHANNEL_DEFAULT`. Refer to this list of channel constants

### Return Values

### Examples

Example #1 Imagick::selectiveBlurImage()

`<?php
function selectiveBlurImage($imagePath, $radius, $sigma, $threshold, $channel) {
$imagick = new \Imagick(realpath($imagePath));
$imagick->selectiveBlurImage($radius, $sigma, $threshold, $channel);
header("Content-Type: image/jpg");
echo $imagick->getImageBlob();
}
?>`

Imagick::segmentImage
Imagick::separateImageChannel
Imagick
PHP Manual